Bug 1464050 (CVE-2017-9617) - CVE-2017-9617 wireshark: Deeply nested DAAP data may cause stack exhaustion
Summary: CVE-2017-9617 wireshark: Deeply nested DAAP data may cause stack exhaustion
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-9617
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1464052
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-22 10:42 UTC by Andrej Nemec
Modified: 2019-09-29 14:15 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:15:33 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-06-22 10:42:13 UTC
In Wireshark 2.2.7, deeply nested DAAP data may cause stack exhaustion (uncontrolled recursion) in the dissect_daap_one_tag function in epan/dissectors/packet-daap.c in the DAAP dissector.

Upstream issue:

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=13799

Comment 1 Andrej Nemec 2017-06-22 10:45:23 UTC
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 1464052]


Note You need to log in before you can comment on or make changes to this bug.